Debian Bug report logs - #711134
libtinfo5: segfaults on a terminal with few capabilities

version graph

Package: libtinfo5; Maintainer for libtinfo5 is Craig Small <csmall@debian.org>; Source for libtinfo5 is src:ncurses.

Reported by: Adam Borowski <kilobyte@angband.pl>

Date: Tue, 4 Jun 2013 23:00:01 UTC

Severity: normal

Found in version ncurses/5.9+20130504-1

Fixed in version ncurses/5.9+20130608-1

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#711134; Package libtinfo5. (Tue, 04 Jun 2013 23:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@angband.pl>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>. (Tue, 04 Jun 2013 23:00:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@angband.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libtinfo5: segfaults on a terminal with few capabilities
Date: Wed, 05 Jun 2013 00:57:52 +0200
Package: libtinfo5
Version: 5.9+20130504-1
Severity: normal


If you run a program that uses tgetent() -- at least bash and gdb, with
TERM=KBtin, it will segfault on startup.  Its terminfo definition can be
found in package "kbtin", or by tic-ing:

kbtin|KBtin|KBtin's spawned pseudo-terminal,
	am, bce, xenl, eo, hc, it#8, colors#8, bel=^G, el1=\e[K,
	blink=\e[5m, bold=\e[1m, dim=\e[2m, sitm=\e[3m, smul=\e[4m,
	sgr0=\e[m, ritm=\e[24m, rmul=\e[24m, setab=\e[4%p1%dm,
	setaf=\e[3%p1%dm, ind=^J, nel=^J, dl1=\e[2K, smso=\e[0;1;47m,
	rmso=\e[0m, sgr=\E[0%?%p1%p6%|%t;1%;%?%p2%|%t;4%;%?%p4%|%t;5%;
	 %?%p5%|%t;2%;m, lm#0,

This terminal is pretty limited, basically hardcopy with colors (enough for
both bash and gdb), but as far as I'm aware, these settings are valid.  And
in any case, a core library shouldn't crash on any external input, be it
valid or not.

This segfault happens for me on at least amd64, armhf and 386, on current
unstable but not on wheezy (nor did it a decade ago when this definition was
written).

I haven't excluded the possibility something else it to blame, but debugging
through tinfo's code is a pain: it's layers upon layers of macros.  At
least, at the time of segfault, the values in cur_term are bogus.


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (150, 'experimental')
Architecture: armhf (armv7l)

Kernel: Linux 3.0.68 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libtinfo5 depends on:
ii  libc6              2.17-4
ii  multiarch-support  2.17-4

libtinfo5 recommends no packages.

libtinfo5 suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#711134; Package libtinfo5. (Wed, 05 Jun 2013 09:24:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 05 Jun 2013 09:24:36 GMT) Full text and rfc822 format available.

Message #10 received at 711134@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Adam Borowski <kilobyte@angband.pl>, 711134@bugs.debian.org
Subject: Re: Bug#711134: libtinfo5: segfaults on a terminal with few capabilities
Date: Wed, 05 Jun 2013 05:23:12 -0400
[Message part 1 (text/plain, inline)]
On Wed, Jun 05, 2013 at 12:57:52AM +0200, Adam Borowski wrote:
> Package: libtinfo5
> Version: 5.9+20130504-1
> Severity: normal
> 
> 
> If you run a program that uses tgetent() -- at least bash and gdb, with

They both use readline, which has its own problems :-)

> TERM=KBtin, it will segfault on startup.  Its terminfo definition can be
> found in package "kbtin", or by tic-ing:

A traceback would be helpful.  tic says there's problems with this entry
by the way:

"/tmp/kbtin.ti", line 1, terminal 'kbtin': inconsistent values for max_colors (8) and max_pairs (-1)
"/tmp/kbtin.ti", line 1, terminal 'kbtin': stack error in sgr(0) string
"/tmp/kbtin.ti", line 1, terminal 'kbtin': stack error in sgr(0) string
"/tmp/kbtin.ti", line 1, terminal 'kbtin': checking sgr(standout) "\e[0;1m"
	compare to "\e[0;1;47m"
	unmatched "47m"
"/tmp/kbtin.ti", line 1, terminal 'kbtin': enter_standout_mode differs from sgr(1)
	enter_standout_mode="\e[0;1;47m"
	sgr(1)="\e[0;1m"
"/tmp/kbtin.ti", line 1, terminal 'kbtin': stack error in sgr(1) string
"/tmp/kbtin.ti", line 1, terminal 'kbtin': stack error in sgr(2) string
"/tmp/kbtin.ti", line 1, terminal 'kbtin': stack error in sgr(3) string
"/tmp/kbtin.ti", line 1, terminal 'kbtin': stack error in sgr(4) string
"/tmp/kbtin.ti", line 1, terminal 'kbtin': stack error in sgr(5) string
"/tmp/kbtin.ti", line 1, terminal 'kbtin': stack error in sgr(6) string
"/tmp/kbtin.ti", line 1, terminal 'kbtin': stack error in sgr(7) string
"/tmp/kbtin.ti", line 1, terminal 'kbtin': stack error in sgr(8) string
"/tmp/kbtin.ti", line 1, terminal 'kbtin': stack error in sgr(9) string

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#711134; Package libtinfo5. (Wed, 05 Jun 2013 17:27:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 05 Jun 2013 17:27:18 GMT) Full text and rfc822 format available.

Message #15 received at 711134@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: dickey@his.com
Cc: 711134@bugs.debian.org, Adam Borowski <kilobyte@angband.pl>
Subject: Re: Bug#711134: libtinfo5: segfaults on a terminal with few capabilities
Date: Wed, 05 Jun 2013 19:24:53 +0200
On 2013-06-05 11:23 +0200, Thomas Dickey wrote:

> On Wed, Jun 05, 2013 at 12:57:52AM +0200, Adam Borowski wrote:
>> Package: libtinfo5
>> Version: 5.9+20130504-1
>> Severity: normal
>> 
>> 
>> If you run a program that uses tgetent() -- at least bash and gdb, with
>
> They both use readline, which has its own problems :-)
>
>> TERM=KBtin, it will segfault on startup.  Its terminfo definition can be
>> found in package "kbtin", or by tic-ing:
>
> A traceback would be helpful.

Here you go:

,----
| (gdb) bt full
| #0  0xf7fa7683 in tgetent (
|     bufp=0x815c008 '\337' <repeats 199 times>, <incomplete sequence \337>..., 
|     name=0x8143e28 "kbtin")
|     at /build/buildd-ncurses_5.9+20130504-1-i386-jLNieE/ncurses-5.9+20130504/ncurses/tinfo/lib_termcap.c:166
|         rc = 1
|         n = <optimized out>
| #1  0x080f912e in _rl_init_terminal_io (terminal_name=0x0)
|     at ../../../bash/lib/readline/terminal.c:452
|         term = 0x8143e28 "kbtin"
|         buffer = 0x8150008 '\337' <repeats 199 times>, <incomplete sequence \337>...
|         tty = 0
|         tgetent_ret = 0
| #2  0x080f8f08 in _rl_set_screen_size (rows=40, cols=100)
|     at ../../../bash/lib/readline/terminal.c:312
| No locals.
| #3  0x080f8f73 in rl_set_screen_size (rows=40, cols=100)
|     at ../../../bash/lib/readline/terminal.c:331
| No locals.
| #4  0x080e0179 in get_new_window_size (from_sig=0, rp=0x0, cp=0x0)
|     at ../../../bash/lib/sh/winsize.c:88
|         win = {ws_row = 40, ws_col = 100, ws_xpixel = 915, ws_ypixel = 604}
|         tty = 255
| #5  0x08088be8 in get_tty_state () at ../bash/jobs.c:2030
|         tty = 255
| #6  0x0805f395 in main (argc=1, argv=0xffffd494, env=0xffffd49c) at ../bash/shell.c:739
|         i = -134668300
|         code = 0
|         old_errexit_flag = 0
|         saverst = 0
|         locally_skip_execution = 0
|         arg_index = 1
|         top_level_arg_index = 1
| (gdb) 
`----

On 2013-06-05 00:57 +0200, Adam Borowski wrote:

> I haven't excluded the possibility something else it to blame, but debugging
> through tinfo's code is a pain: it's layers upon layers of macros.  At
> least, at the time of segfault, the values in cur_term are bogus.

Same here:

,----
| (gdb) print cur_term->type
| $8 = {term_names = 0xcfcfcfcf <Address 0xcfcfcfcf out of bounds>, 
|   str_table = 0xcfcfcfcf <Address 0xcfcfcfcf out of bounds>, 
|   Booleans = 0xcfcfcfcf <Address 0xcfcfcfcf out of bounds>, Numbers = 0xcfcfcfcf, 
|   Strings = 0xcfcfcfcf, ext_str_table = 0xcfcfcfcf <Address 0xcfcfcfcf out of bounds>, 
|   ext_Names = 0xcfcfcfcf, num_Booleans = 53199, num_Numbers = 53199, num_Strings = 53199, 
|   ext_Booleans = 53199, ext_Numbers = 53199, ext_Strings = 53199}
| (gdb)
`----

Looking at the offending line 166 in ncurses/tinfo/lib_termcap.c, it
tries to read cursor_left which is #defined to cur_term->type.Strings[14]:

,----
| (gdb) print cur_term->type.Strings[14]
| Cannot access memory at address 0xcfcfd007
| (gdb)
`----

No wonder that it segfaults, but why cur_term has these bogus values…
you're the expert. :-)

Cheers,
       Sven



Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#711134; Package libtinfo5. (Thu, 06 Jun 2013 00:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 06 Jun 2013 00:51:04 GMT) Full text and rfc822 format available.

Message #20 received at 711134@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 711134@bugs.debian.org
Cc: dickey@his.com, Adam Borowski <kilobyte@angband.pl>
Subject: Re: Bug#711134: libtinfo5: segfaults on a terminal with few capabilities
Date: Wed, 05 Jun 2013 20:49:15 -0400
[Message part 1 (text/plain, inline)]
On Wed, Jun 05, 2013 at 07:24:53PM +0200, Sven Joachim wrote:
> No wonder that it segfaults, but why cur_term has these bogus values…
> you're the expert. :-)

I've narrowed it down to the 20121117 patch (will probably be obvious once I
pinpoint it).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#711134; Package libtinfo5. (Thu, 06 Jun 2013 01:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 06 Jun 2013 01:15:04 GMT) Full text and rfc822 format available.

Message #25 received at 711134@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 711134@bugs.debian.org
Cc: dickey@his.com, Adam Borowski <kilobyte@angband.pl>
Subject: Re: Bug#711134: libtinfo5: segfaults on a terminal with few capabilities
Date: Wed, 05 Jun 2013 21:10:59 -0400
[Message part 1 (text/plain, inline)]
On Wed, Jun 05, 2013 at 07:24:53PM +0200, Sven Joachim wrote:
> No wonder that it segfaults, but why cur_term has these bogus values???
> you're the expert. :-)

partly a blunder of course: I was fixing warnings from Coverity advising
of a memory leak.  Here's a fix.

diff -u -r1.156 ncurses/tinfo/lib_setup.c
--- ncurses/tinfo/lib_setup.c	2013/05/25 20:20:08	1.156
+++ ncurses/tinfo/lib_setup.c	2013/06/06 01:01:18
@@ -48,7 +48,7 @@
 #include <locale.h>
 #endif
 
-MODULE_ID("$Id: lib_setup.c,v 1.156 2013/05/25 20:20:08 tom Exp $")
+MODULE_ID("$Id: lib_setup.c,v 1.157 2013/06/06 01:01:18 tom Exp $")
 
 /****************************************************************************
  *
@@ -783,14 +783,12 @@
 	if ((VALID_STRING(cursor_address)
 	     || (VALID_STRING(cursor_down) && VALID_STRING(cursor_home)))
 	    && VALID_STRING(clear_screen)) {
-	    free(termp);
 	    ret_error1(TGETENT_YES, "terminal is not really generic.\n", tname);
 	} else {
-	    free(termp);
+	    del_curterm(termp);
 	    ret_error1(TGETENT_NO, "I need something more specific.\n", tname);
 	}
     } else if (hard_copy) {
-	free(termp);
 	ret_error1(TGETENT_YES, "I can't handle hardcopy terminals.\n", tname);
     }
 #endif

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#711134; Package libtinfo5. (Thu, 06 Jun 2013 18:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 06 Jun 2013 18:09:13 GMT) Full text and rfc822 format available.

Message #30 received at 711134@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: dickey@his.com
Cc: 711134@bugs.debian.org, Adam Borowski <kilobyte@angband.pl>
Subject: Re: Bug#711134: libtinfo5: segfaults on a terminal with few capabilities
Date: Thu, 06 Jun 2013 20:05:46 +0200
On 2013-06-06 03:10 +0200, Thomas Dickey wrote:

> On Wed, Jun 05, 2013 at 07:24:53PM +0200, Sven Joachim wrote:
>> No wonder that it segfaults, but why cur_term has these bogus values???
>> you're the expert. :-)
>
> partly a blunder of course: I was fixing warnings from Coverity advising
> of a memory leak.  Here's a fix.

Works for me, thanks. :-)

> diff -u -r1.156 ncurses/tinfo/lib_setup.c
> --- ncurses/tinfo/lib_setup.c	2013/05/25 20:20:08	1.156
> +++ ncurses/tinfo/lib_setup.c	2013/06/06 01:01:18
> @@ -48,7 +48,7 @@
>  #include <locale.h>
>  #endif
>  
> -MODULE_ID("$Id: lib_setup.c,v 1.156 2013/05/25 20:20:08 tom Exp $")
> +MODULE_ID("$Id: lib_setup.c,v 1.157 2013/06/06 01:01:18 tom Exp $")
>  
>  /****************************************************************************
>   *
> @@ -783,14 +783,12 @@
>  	if ((VALID_STRING(cursor_address)
>  	     || (VALID_STRING(cursor_down) && VALID_STRING(cursor_home)))
>  	    && VALID_STRING(clear_screen)) {
> -	    free(termp);
>  	    ret_error1(TGETENT_YES, "terminal is not really generic.\n", tname);
>  	} else {
> -	    free(termp);
> +	    del_curterm(termp);
>  	    ret_error1(TGETENT_NO, "I need something more specific.\n", tname);
>  	}
>      } else if (hard_copy) {
> -	free(termp);
>  	ret_error1(TGETENT_YES, "I can't handle hardcopy terminals.\n", tname);
>      }
>  #endif

Cheers,
       Sven



Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#711134; Package libtinfo5. (Sat, 08 Jun 2013 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sat, 08 Jun 2013 00:51:03 GMT) Full text and rfc822 format available.

Message #35 received at 711134@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 711134@bugs.debian.org
Cc: dickey@his.com, Adam Borowski <kilobyte@angband.pl>
Subject: Re: Bug#711134: libtinfo5: segfaults on a terminal with few capabilities
Date: Fri, 07 Jun 2013 20:47:08 -0400
[Message part 1 (text/plain, inline)]
On Thu, Jun 06, 2013 at 08:05:46PM +0200, Sven Joachim wrote:
> On 2013-06-06 03:10 +0200, Thomas Dickey wrote:
> 
> > On Wed, Jun 05, 2013 at 07:24:53PM +0200, Sven Joachim wrote:
> >> No wonder that it segfaults, but why cur_term has these bogus values???
> >> you're the expert. :-)
> >
> > partly a blunder of course: I was fixing warnings from Coverity advising
> > of a memory leak.  Here's a fix.
> 
> Works for me, thanks. :-)

no problem (will be part of tomorrow's patch).

For the terminfo entry itself, I can see the cause of the warning messages
that I mentioned.  Using infocmp -1f, see

	sgr=\E[0
		%?
			%p1%p6%|
			%t;1
		%;
		%?
			%p2%|
			%t;4
		%;
		%?
			%p4%|
			%t;5
		%;
		%?
			%p5%|
			%t;2
		%;
		m,

The "%|" after p2, p4, p5 should be removed, since it OR's the top two items
on the stack.  But there is only one.  ncurses checks for that; other
implementations are likely to dump core.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sun, 09 Jun 2013 07:21:08 GMT) Full text and rfc822 format available.

Message sent on to Adam Borowski <kilobyte@angband.pl>:
Bug#711134. (Sun, 09 Jun 2013 07:21:15 GMT) Full text and rfc822 format available.

Message #40 received at 711134-submitter@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 711134-submitter@bugs.debian.org
Subject: Bug#711134 marked as pending
Date: Sun, 09 Jun 2013 07:15:51 +0000
tag 711134 pending
thanks

Hello,

Bug #711134 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=79bb76e

---
commit 79bb76ec205843adec46225f64aaa1f8e730b466
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Sun Jun 9 09:12:43 2013 +0200

    Close bug #711134
    
    The relevant change was made in the 20130608 upstream patchlevel.

diff --git a/debian/changelog b/debian/changelog
index 9914135..d73cce7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,7 @@ ncurses (5.9+20130608-1) UNRELEASED; urgency=low
   * New upstream patchlevel.
     - Add pow() to configure-check for math library, needed for
       test/hanoi (Closes: #708056).
+    - Fix regression in error-reporting in lib_setup.c (Closes: #711134).
   * Add Breaks against dialog (<< 1.2-20130523) to libtinfo5, since
     older dialog versions misbehave (Closes: #709325).
   * Switch Vcs-* fields to anonscm.debian.org.



Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Mon, 10 Jun 2013 18:51:24 GMT) Full text and rfc822 format available.

Notification sent to Adam Borowski <kilobyte@angband.pl>:
Bug acknowledged by developer. (Mon, 10 Jun 2013 18:51:24 GMT) Full text and rfc822 format available.

Message #45 received at 711134-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 711134-close@bugs.debian.org
Subject: Bug#711134: fixed in ncurses 5.9+20130608-1
Date: Mon, 10 Jun 2013 18:48:28 +0000
Source: ncurses
Source-Version: 5.9+20130608-1

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 711134@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 10 Jun 2013 20:18:59 +0200
Source: ncurses
Binary: libtinfo5 libncurses5 libtinfo-dev libtinfo5-dbg libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev lib64tinfo5 lib32tinfo5 lib32tinfo-dev ncurses-bin ncurses-base ncurses-term ncurses-examples ncurses-doc
Architecture: all source
Version: 5.9+20130608-1
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Closes: 708056 709325 711134
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib32tinfo-dev - developer's library for the low-level terminfo library (32-bit)
 lib32tinfo5 - shared low-level terminfo library for terminal handling (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 lib64tinfo5 - shared low-level terminfo library for terminal handling (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncursesw
 libncursesw5-dev - developer's libraries for ncursesw
 libtinfo-dev - developer's library for the low-level terminfo library
 libtinfo5  - shared low-level terminfo library for terminal handling
 libtinfo5-dbg - debugging/profiling library for the low-level terminfo library
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-doc - developer's guide and documentation for ncurses
 ncurses-examples - test programs and examples for ncurses
 ncurses-term - additional terminal type definitions
Changes: 
 ncurses (5.9+20130608-1) unstable; urgency=low
 .
   * New upstream patchlevel.
     - Add pow() to configure-check for math library, needed for
       test/hanoi (Closes: #708056).
     - Fix regression in error-reporting in lib_setup.c (Closes: #711134).
   * Add Breaks against dialog (<< 1.2-20130523) to libtinfo5, since
     older dialog versions misbehave (Closes: #709325).
   * Move detached debugging symbols for libtinfo5 to libtinfo5-dbg.
   * Switch Vcs-* fields to anonscm.debian.org.
   * Upgrade Standards-Version to 3.9.4, no changes needed.
Checksums-Sha1: 
 8da1140492593c9c1174ae6b3f82744f3293a650 216608 ncurses-base_5.9+20130608-1_all.deb
 d9c3a2598304dd5bdc3c5af39c57e5efba3ea41b 622508 ncurses-term_5.9+20130608-1_all.deb
 8f59a4673dd5373f20c5b2d725b0d1582a46a16b 1043408 ncurses-doc_5.9+20130608-1_all.deb
 b31d9e1f9b394424863ceb4ef1184895e4be9076 3154 ncurses_5.9+20130608-1.dsc
 86f645e8ff1170d81398dd5c31f9901cc62da751 2927426 ncurses_5.9+20130608.orig.tar.gz
 28f35336d06b3ae0349ffdb03991f6889cd27004 61369 ncurses_5.9+20130608-1.debian.tar.gz
Checksums-Sha256: 
 5dba89066e77e9912c2cb3b0379d9e62025ee99abd74005cbe45a9769f4a2713 216608 ncurses-base_5.9+20130608-1_all.deb
 8329e269ef3f8fb305312338cda666c214b602dd6405be6fc48070ffc21c47b5 622508 ncurses-term_5.9+20130608-1_all.deb
 321606bb5d9e04be0a6202b361730b81773c6155233c1123cc96c1c0bef8ce82 1043408 ncurses-doc_5.9+20130608-1_all.deb
 5ad1e2fc1a81d8eeae8c73e740be7ea0f46806fcd7e542a8d587a268b969fe34 3154 ncurses_5.9+20130608-1.dsc
 10c9dc1ec38116269bfe018f4763e539dec6cd23a00787a37fa60531b2afdd3f 2927426 ncurses_5.9+20130608.orig.tar.gz
 0c6f55d0874fefdd528826c82ec00c5e4d80e5f69bb63f846c623ebac2bcd6e8 61369 ncurses_5.9+20130608-1.debian.tar.gz
Files: 
 77b0b840e6b698ca266ecf2d0a7ad6c5 216608 misc required ncurses-base_5.9+20130608-1_all.deb
 e68267179365cdc3c5e6838a92caa82d 622508 misc standard ncurses-term_5.9+20130608-1_all.deb
 15c23039e271449ddf9f8f541aa6f429 1043408 doc optional ncurses-doc_5.9+20130608-1_all.deb
 d311f4d871bdc24eeabd82e46d471281 3154 libs required ncurses_5.9+20130608-1.dsc
 5ea4793446f08982f478009b71f7d717 2927426 libs required ncurses_5.9+20130608.orig.tar.gz
 82e4b5e06616a7257a53d2ff388be0c2 61369 libs required ncurses_5.9+20130608-1.debian.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRthuCAAoJEDsQbnGNazGsungQAN8h7zcHbim+1SfbMRJUp3Iz
V1Hj/nK4Xp2O4GQ00nIVlGPsKL2xxgib2xbVg2FzTnhf0CLTk3xFXKjGRBnRa97e
56Yh7JiKjJAMMwNlMXXbZCo150+Id5OCU/0xmLU0hjH3ysrqi1gBmPnv39/jwfWo
xJp9UptNtBUq5+6Xkm99C090msvFp/TjKELkdxYJrRdKIByGbDdFwj91S8t4p0sf
ViHUVCSCtedvDzbyjZ4wx98OCz2G7hQaMdZXIkPRderFm8eZFKCSNZrStP0HVOAD
j/mkBFh0rAYhcXA8H0TYagzp3zvNAOaZWpGrcjOv6610+hu4u6BUisOrDbPODh6X
/K3Cac9PLwnBmLlNIVJfsNZzkPZ+MgVxIQESeu/GMsUpRp0ccHd5FKGb5X/XPcxw
ZpcBBxtcZ7nB4Eeb1phIVBsFYZxDP7YT6v7mwt6eBHhsCL56Yt4ZOBq+oHES5Dxl
Y4YZn7kK9DUnC6y8Wq5UXllH/CN8ixaMPAROo5ez73rPDfKFyK/lbu+1/604bxjG
esTgQeQ2lwoGywl970icx+jma481NIU9vRHg7D1m2FgAIgmX4hkoVc+5jdux3SSa
s7Dh0NGVUYItZ0Dyx5XsonAPquA1a4vtGJppmtYff4L0Be7iYd6Nnw4PBoQcEc6f
e7ML3hvryI4wXZ52Yk2/
=V87i
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 19 Jul 2013 07:28:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:05:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.